using Cirno.Scripts.Enums;
using Godot;

namespace Cirno.Scripts.Components.FSM.Elevator;

public partial class ElevatorProxyProxy : Path2D, IActivable
{
    [Export] public ElevatorState StartingState { get; protected set; } = ElevatorState.Bottom;

    private ElevatorProxy _elevatorProxy;

    public override void _Ready()
    {
        _elevatorProxy = this.GetNode<ElevatorProxy>("Elevator");
    }

    public bool Activate(ActivationType activationType = ActivationType.Toggle)
    {
        return _elevatorProxy.Activate(activationType);
    }
}